package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 讲师列表VO
 * </p>
 *
 * @author lingye
 * @since 2019-04-17
 */
@Data
@ApiModel(value = "LecturerVo", description = "讲师详情表")
public class LecturerListVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "唯一主键")
    private Long id;


    @ApiModelProperty(value = "讲师名字")
    private String lecturerName;

    @ApiModelProperty(value = "讲师手机号")
    private String mobile;


    @ApiModelProperty(value = "讲师来源")
    private String sourceCode;


    @ApiModelProperty(value = "关联课程的数量")
    private Integer count;


    @ApiModelProperty(value = "启用状态：1启动 0 没启用")
    private Long status;


    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "头衔")
    private String title;

    @ApiModelProperty(value = "在线课程数量")
    private Integer courseCount;

    @ApiModelProperty(value = "线下课程的数量")
    private Integer offlineCount;

    @ApiModelProperty(value = "培训数量")
    private Integer trainingCount;

    @ApiModelProperty(value = "讲师编码")
    private String code;

    @ApiModelProperty(value = "模板编号")
    private String templateNo;

    @ApiModelProperty(value = "评分")
    private Float score;

    @ApiModelProperty(value = "学历")
    private String edu;

    @ApiModelProperty(value = "所属单位")
    private String companyName;

    @ApiModelProperty(value = "讲师级别")
    private Integer grade;

    @ApiModelProperty(value = "级别名称")
    private String gradeName;

    @ApiModelProperty(value = "个性签名")
    private String signature;
}
