package com.yizhi.lecturer.application.vo;

import com.yizhi.lecturer.application.vo.domain.LecturerClassificationVo;
import com.yizhi.lecturer.application.vo.domain.LecturerRelationVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 讲师详情表
 * </p>
 *
 * @author lingye
 * @since 2019-04-17
 */
@Data
@ApiModel(value = "LecturerVO", description = "讲师详情表")
public class LecturerVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "唯一主键")
    private Long id;

    @ApiModelProperty(value = "用户名-系统")
    private String name;

    @ApiModelProperty(value = "系统用户的accountId")
    private Long accountId;

    @ApiModelProperty(value = "讲师名称")
    private String lecturerName;

    @ApiModelProperty(value = "讲师手机号")
    private String mobile;

    @ApiModelProperty(value = "讲师头像")
    private String avatar;

    @ApiModelProperty(value = "履历id")
    private Long resumeId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "讲师关键字")
    private List<String> keywords;

    @ApiModelProperty(value = "讲师关联内容")
    private List<LecturerRelationVo> lecturerRelationVOS;

    @ApiModelProperty(value = "讲师简历内容")
    private String resume;

    @ApiModelProperty(value = "讲师的来源inner内部/outer外部")
    private String sourceCode;

    @ApiModelProperty(value = "头衔")
    private String title;

    @ApiModelProperty(value = "0,停用；1,启用")
    private Integer status;

    @ApiModelProperty(value = "讲师编码")
    private String code;

    @ApiModelProperty(value = "模板编号")
    private String templateNo;

    @ApiModelProperty(value = "评分")
    private Float score;

    @ApiModelProperty(value = "讲师级别")
    private Integer grade;

    @ApiModelProperty(value = "级别名称")
    private String gradeName;

    @ApiModelProperty(value = "学历")
    private String edu;

    @ApiModelProperty(value = "所属单位（手动输入）")
    private String companyName;

    @ApiModelProperty(value = "个性签名")
    private String signature;

    @ApiModelProperty(value = "讲师分类id")
    private List<Long> classificationIds;

    @ApiModelProperty(value = "讲师分类id")
    private List<LecturerClassificationVo> classificationList;

    @ApiModelProperty(value = "讲师分类列表")
    private List<LecturerClassificationVO> classificationVOList;

}
