package com.yizhi.lecturer.application.vo.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 讲师库分类VO
 * </p>
 *
 * @author lingye
 * @since 2019-09-09
 */
@Data
@Api(tags = "ClassificationVO")
public class ClassificationVO {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "分类名称")
    private String name;

    @ApiModelProperty(value = "父id，默认为0 时，是最皇父级")
    private Long parentId;

    @ApiModelProperty(value = "层级，默认是1,第一层")
    private Integer layer;

    @ApiModelProperty(value = "分类描述")
    private String classificationDes;


    @ApiModelProperty(value = "创建时间")
    private Date createTime;


    @ApiModelProperty(value = "站点id")
    private Integer sort;

    @ApiModelProperty(value = "子列表")
    List<ClassificationVO> classificationVOList;


}
