package com.yizhi.lecturer.application.vo.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 讲师详情表
 * </p>
 *
 * @author lingye
 * @since 2019-05-06
 */
@Data
@Api(tags = "LecturerVo", description = "讲师详情表")

public class LecturerVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "唯一主键")
    private Long id;

    @ApiModelProperty(value = "用户名-系统")
    private String name;

    @ApiModelProperty(value = "内部讲师的accoun_id")
    
    private Long accountId;

    @ApiModelProperty(value = "讲师名字")
    
    private String lecturerName;

    @ApiModelProperty(value = "讲师的来源inner内部/outer外部")
    
    private String sourceCode;

    @ApiModelProperty(value = "讲师手机号")
    private String mobile;

    @ApiModelProperty(value = "讲师头像")
    private String avatar;


    @ApiModelProperty(value = "讲师职称")
    private String title;

    @ApiModelProperty(value = "0,停用；1,启用")
    private Integer status;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "创建讲师的站点id")
    
    private Long siteId;

    @ApiModelProperty(value = "创建讲师的公司id")
    
    private Long companyId;

    @ApiModelProperty(value = "是否删除 1已删除 默认0")
    
    private Integer delFlag;

    @ApiModelProperty(value = "创建时间")
    
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    
    private Date updateTime;

    @ApiModelProperty(value = "创建人")
    
    private Long createById;

    @ApiModelProperty(value = "修改人")
    
    private Long updateById;

    @ApiModelProperty(value = "讲师编码")
    private String code;

    @ApiModelProperty(value = "模板编号")
    private String templateNo;

    @ApiModelProperty(value = "评分")
    private Float score;

    @ApiModelProperty(value = "讲师级别")
    private Integer grade;

    @ApiModelProperty(value = "级别名称")
    private String gradeName;


    @ApiModelProperty(value = "学历")
    private String edu;


    @ApiModelProperty(value = "所属单位（手动输入）")
    private String companyName;

    @ApiModelProperty(value = "个性签名")
    private String signature;

}
