package com.yizhi.application.Controller;


import com.yizhi.application.domain.LecturerGrade;
import com.yizhi.application.service.ILecturerGradeService;
import com.yizhi.lecturer.application.vo.LecturerGradeVO;
import com.yizhi.lecturer.application.vo.domain.LecturerGradeVo;
import io.swagger.annotations.Api;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 讲师级别表 前端控制器
 * </p>
 *
 * @author lingye
 * @since 2019-11-05
 */
@Api(value = "讲师等级", tags = "讲师等级")
@RestController
@RequestMapping("/grade")
public class LecturerGradeController {

    @Autowired
    private ILecturerGradeService gradeService;

    /**
     * 新增讲师评级
     *
     * @param lecturerGradeVO
     * @return
     */
    @PostMapping(value = "/add")
    public LecturerGradeVO add(@RequestBody LecturerGradeVO lecturerGradeVO) {
        return gradeService.add(lecturerGradeVO);
    }

    /**
     * 修改，删除，上下架
     *
     * @param lecturerGradeVO
     * @return
     */
    @PostMapping(value = "/update")
    public LecturerGradeVO update(@RequestBody LecturerGradeVO lecturerGradeVO) {
        return gradeService.update(lecturerGradeVO);
    }

    /**
     * 根据站点获取江湖级别列表
     *
     * @return
     */
    @GetMapping(value = "/list")
    public List<LecturerGradeVo> list(@RequestParam(value = "status", required = false) Integer status) {
        List<LecturerGrade> list = gradeService.list(status);
        List<LecturerGradeVo> list2 = new ArrayList<>();
        for (LecturerGrade l:list
             ) {
            LecturerGradeVo lecturerGradeVo=new LecturerGradeVo();
            BeanUtils.copyProperties(l,lecturerGradeVo);
            list2.add(lecturerGradeVo);
        }
        return list2;
    }

}

