package com.yizhi.application.Controller;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.application.domain.LecturerRelation;
import com.yizhi.application.service.ILecturerRelationService;
import com.yizhi.lecturer.application.vo.LecturerVO;
import com.yizhi.lecturer.application.vo.RelationVO;
import com.yizhi.lecturer.application.vo.RelationVOList;
import com.yizhi.lecturer.application.vo.domain.LecturerRelationVo;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 讲师详情表 前端控制器
 * </p>
 *
 * @author lingye
 * @since 2019-5-10
 */
@RestController
@RequestMapping("/lecturer/relation")
public class LecturerRelationController {

    @Autowired
    private ILecturerRelationService lecturerRelationService;

    /**
     * 通过讲师id获取讲师关联的内容
     *
     * @param id
     * @return
     */
    @GetMapping("/get")
    public List<RelationVO> getRelationsById(@RequestParam(name = "id", required = true) Long id) {
        return lecturerRelationService.getRelationsById(id);

    }

    /**
     * 更新关联
     *
     * @param lecturerVO
     * @return
     */
    @PostMapping("/update")
    public boolean updateRelation(@RequestBody LecturerVO lecturerVO) {
        List<LecturerRelationVo> lecturerRelationVoVOS = lecturerVO.getLecturerRelationVOS();
        List<LecturerRelation> lecturerRelation = new ArrayList<>();
        for (LecturerRelationVo l:lecturerRelationVoVOS
             ) {
            LecturerRelation l1=new LecturerRelation();
            BeanUtils.copyProperties(l,l1);
            lecturerRelation.add(l1);
        }
        return lecturerRelationService.updateLecturerRelation(lecturerRelation, lecturerVO.getId());

    }

    /**
     * 查询讲师库关联的接口
     *
     * @param id
     * @return
     */
    @GetMapping("/query")
    public Page<RelationVOList> getRelationListByLecturerId(@RequestParam(name = "id", required = true) Long id,
                                                            @RequestParam(name = "pageNo", defaultValue = "1") Integer pageNo,
                                                            @RequestParam(name = "pageSize", defaultValue = "20") Integer pageSize
    ) {
        return lecturerRelationService.getRelationListByLecturerId(id, pageNo, pageSize);
    }
}

