package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 讲师关联课程表
 * </p>
 *
 * @author lingye
 * @since 2019-05-06
 */
@Data
@Api(tags = "LecturerRelationVo", description = "讲师关联课程表")
@TableName("lecturer_relation")
public class LecturerRelation extends Model<LecturerRelation> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "讲师id")
    @TableField("lecturer_id")
    private Long lecturerId;

    @ApiModelProperty(value = "关联id")
    @TableField("relation_id")
    private Long relationId;

    @ApiModelProperty(value = "关联名称")
    @TableField("relation_name")
    private String relationName;

    @ApiModelProperty(value = "1.在线课程; 2.线下课程；3.培训项目")
    private Integer type;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @ApiModelProperty(value = "1.删除 默认0")
    @TableField("del_flag")
    private Integer delFlag;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
