package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 讲师库、分类关系表
 * </p>
 *
 * @author lingye
 * @since 2019-10-08
 */
@Data
@Api(tags = "TrLecturerClassificationVo", description = "讲师库、分类关系表")
@TableName("tr_lecturer_classification")
public class TrLecturerClassification extends Model<TrLecturerClassification> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "讲师库id")
    @TableField("lecturer_id")
    private Long lecturerId;

    @ApiModelProperty(value = "分类id")
    @TableField("classification_id")
    private Long classificationId;


    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
