package com.yizhi.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.domain.LecturerClassification;
import com.yizhi.application.domain.LecturerResponse;
import com.yizhi.lecturer.application.vo.LecturerClassificationRespVO;
import com.yizhi.lecturer.application.vo.LecturerClassificationVO;
import com.yizhi.lecturer.application.vo.LecturerSortVO;
import com.yizhi.util.application.tree.CommonTree;

import java.util.List;

/**
 * <p>
 * 讲师库分类表 服务类
 * </p>
 *
 * @author lingye
 * @since 2019-09-09
 */
public interface ILecturerClassificationService extends IService<LecturerClassification> {
    /**
     * 添加讲师库分类
     *
     * @param lecturerClassificationVO
     * @return
     */
    LecturerClassificationVO add(LecturerClassificationVO lecturerClassificationVO);

    /**
     * 更新分类
     *
     * @param lecturerClassificationVO
     * @return
     */
    LecturerClassificationVO update(LecturerClassificationVO lecturerClassificationVO);

    /**
     * 分类上下架
     * @param lecturerClassificationVO
     * @return
     */
    LecturerClassificationRespVO upOrDown(LecturerClassificationVO lecturerClassificationVO);

    /**
     * 分类排序
     *
     * @param lecturerSortVO
     * @return
     */
    boolean sortClassification(LecturerSortVO lecturerSortVO);

    /**
     * 列表
     *
     * @return
     */
    List<CommonTree> getClassificationList(Integer type);

    /**
     * 删除讲师分类
     *
     * @param id
     * @return
     */
    LecturerResponse del(Long id);
}
