package com.yizhi.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.domain.LecturerDic;
import com.yizhi.application.mapper.LecturerDicMapper;
import com.yizhi.application.orm.util.QueryUtil;
import com.yizhi.application.service.ILecturerDicService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 讲师库系统字典 服务实现类
 * </p>
 *
 * @author lingye
 * @since 2019-04-17
 */
@Service
public class LecturerDicServiceImpl extends ServiceImpl<LecturerDicMapper, LecturerDic> implements ILecturerDicService {

    @Override
    public List<LecturerDic> getLecturerDicListByCode(String code) {
        return this.baseMapper.getLecturerDicListByCode(code);
    }

    @Override
    public LecturerDic queryLecturerDic(String code) {
        LecturerDic ld = new LecturerDic();
        ld.setCode(code.trim());
        return this.selectOne(QueryUtil.condition(ld));
    }
}
