package com.yizhi.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.domain.Lecturer;
import com.yizhi.application.domain.TrLecturerClassification;
import com.yizhi.lecturer.application.enums.DeleteFlag;
import com.yizhi.application.mapper.TrLecturerClassificationMapper;
import com.yizhi.application.orm.util.QueryUtil;
import com.yizhi.application.service.ILecturerService;
import com.yizhi.application.service.ITrLecturerClassificationService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 讲师库、分类关系表 服务实现类
 * </p>
 *
 * @author lingye
 * @since 2019-10-08
 */
@Service
public class TrLecturerClassificationServiceImpl extends ServiceImpl<TrLecturerClassificationMapper, TrLecturerClassification> implements ITrLecturerClassificationService {

    @Autowired
    private ILecturerService lecturerService;

    /**
     * 查询分类是否被关联
     *
     * @param classificationId 分类id
     * @return
     */
    @Override
    public boolean getRelateLecturer(Long classificationId) {
        TrLecturerClassification trLecturerClassification = new TrLecturerClassification();
        trLecturerClassification.setClassificationId(classificationId);
        TrLecturerClassification lc = this.selectOne(QueryUtil.condition(trLecturerClassification));
        if (lc != null) {
            Lecturer lecturer = new Lecturer();
            lecturer.setId(lc.getLecturerId());
            lecturer.setDelFlag(DeleteFlag.NO.ordinal());
            List<Lecturer> lecturers =
                    lecturerService.selectList(QueryUtil.condition(lecturer));

            if (CollectionUtils.isNotEmpty(lecturers)) {
                return true;
            }
            return false;
        } else {
            return false;
        }
    }
}
